GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Typedefs
atm_gcc_atomic.h File Reference
`#include <grpc/support/port_platform.h>`

Go to the source code of this file.

## Macros
#define | gpr_atm_full_barrier() (__atomic_thread_fence(__ATOMIC_SEQ_CST))
#define | gpr_atm_acq_load(p) (__atomic_load_n((p), __ATOMIC_ACQUIRE))
#define | gpr_atm_no_barrier_load(p) (__atomic_load_n((p), __ATOMIC_RELAXED))
#define | gpr_atm_rel_store(p, value) (__atomic_store_n((p), (gpr_intptr)(value), __ATOMIC_RELEASE))
#define | gpr_atm_no_barrier_store(p, value) (__atomic_store_n((p), (gpr_intptr)(value), __ATOMIC_RELAXED))
#define | gpr_atm_no_barrier_fetch_add(p, delta) (__atomic_fetch_add((p), (gpr_intptr)(delta), __ATOMIC_RELAXED))
#define | gpr_atm_full_fetch_add(p, delta) (__atomic_fetch_add((p), (gpr_intptr)(delta), __ATOMIC_ACQ_REL))

## Typedefs
typedef gpr_intptr | gpr_atm

## Macro Definition Documentation

#define gpr_atm_acq_load | ( |  | p | ) | (__atomic_load_n((p), __ATOMIC_ACQUIRE))

#define gpr_atm_full_barrier | ( |  | ) | (__atomic_thread_fence(__ATOMIC_SEQ_CST))

#define gpr_atm_full_fetch_add | ( |  | p,
|  |  | delta
| ) |  | (__atomic_fetch_add((p), (gpr_intptr)(delta), __ATOMIC_ACQ_REL))

#define gpr_atm_no_barrier_fetch_add | ( |  | p,
|  |  | delta
| ) |  | (__atomic_fetch_add((p), (gpr_intptr)(delta), __ATOMIC_RELAXED))

#define gpr_atm_no_barrier_load | ( |  | p | ) | (__atomic_load_n((p), __ATOMIC_RELAXED))

#define gpr_atm_no_barrier_store | ( |  | p,
|  |  | value
| ) |  | (__atomic_store_n((p), (gpr_intptr)(value), __ATOMIC_RELAXED))

#define gpr_atm_rel_store | ( |  | p,
|  |  | value
| ) |  | (__atomic_store_n((p), (gpr_intptr)(value), __ATOMIC_RELEASE))

## Typedef Documentation

typedef gpr_intptr gpr_atm